Support

Future Fleet provide onsite installations and ongoing support by qualified technicians. Currently the minimum software and hardware requirements for running Future Fleet on your computer are:

Operating System: Windows XP, Windows Vista, Windows 7 or OSX
Hardware: 1Ghz or faster 32 bit or 64 bit processor. 1GB Ram
Connection: Broadband 512kbps minimum

Browser requirements:
Fleetmax: Internet Explorer 9 or above, Google Chrome any version, Mozilla Firefox version 3 or above and Safari any version
Live: Internet Explorer 9 or above, Google Chrome any version, Mozilla Firefox version 3 or above and Safari any version
Mix Telematics: Internet Explorer 9 or 10 (in compatibility mode)
Plus: Internet Explorer 9 or above, Google Chrome any version, Mozilla Firefox version 3 or above and Safari any version

If you have any technical enquiries including manual requests please contact our experienced technicians using the online form below. We will respond to you as soon as possible.

Subscribe me to your mailing list